import type { NobjcObject } from "objc-js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { CGRect } from "../structs/CGRect.js";
export declare class _NSAccessibilityElement extends _NSObject {
    static alloc(): _NSAccessibilityElement;
    static new(): _NSAccessibilityElement;
    init(): _NSAccessibilityElement;
    static accessibilityElementWithRole$frame$label$parent$(role: _NSString, frame: CGRect, label: _NSString | null, parent: NobjcObject | null): NobjcObject;
    accessibilityFrame(): CGRect;
    accessibilityParent(): NobjcObject | null;
    isAccessibilityFocused(): boolean;
    accessibilityIdentifier(): _NSString;
    accessibilityAddChildElement$(childElement: _NSAccessibilityElement): void;
    /** Accessibility frame in the cordinate system of the accessibility parent */
    accessibilityFrameInParentSpace(): CGRect;
    setAccessibilityFrameInParentSpace$(value: CGRect): void;
}
